# blek! Online
A 88x31 widget to tell your website's users if you are online

## Installation

There are some prerequisites for the user:  
1. You should know how to use docker compose and linux shell commands
2. You MUST have a web server of your own. If you dont have it, there is literally no way for you to run this app.
3. You should have a UNIX machine that you use on a daily basis. If you really want to, write a PR with windows support.

If you do not meet the prerequisities, you are very unlikely to properly run this without any severe tinkering.

1. Clone the repo and cd to its directory
2. Generate a 1024 bytes long key: `head -c 1024 /dev/random > secret.key`
3. Put your server URL in `client/src/main.rs` on 4th line.
4. Install the client binary on your PC or laptop and set up a cron job to execute it once a minute.
5. Copy the `secret.key` to your server and `docker-compose up -d` it. Then pass it via the reverse proxy to whereever you want.

## Embeding the gif

Lets assume that `$URL` is your server's url.  
Embded it like this:

```html
<img src='$URL/gif' width='88' height='31' alt='My online indicator' />
```